Group{

  DomainCC_1 += Region[3];
  DomainC_1 += Region[4];
  DomainCC_1 += Region[5];

  Electrode_1 = Region[{1,2}];
}
// Include "MaterialDatabase.pro";

Function {
  mu0 = 4*Pi*1e-7;
  Air_mur = 1;
  Copper_mur = 1;
  sigma_copper = 5.96e7;
  mu[Region[3]] = Air_mur*mu0; nu[Region[3]] = 1/(Air_mur*mu0);
  mu[Region[4]] = Copper_mur*mu0; nu[Region[4]] = 1/(Copper_mur*mu0);
  mu[Region[5]] = Air_mur*mu0; nu[Region[5]] = 1/(Air_mur*mu0);

  sigma_1[] = sigma_copper;
}

Constraint { { Name ElectricScalarPotential_1_1 ; Case { { Region Region[1]; Value 10; } { Region Region[2]; Value 0; } } } }
Constraint { { Name Current_1 ; Case { { Region Region[1]; Value 10; } { Region Region[2]; Value 0; } } } }
Constraint { { Name ElectricPotential_Global_1 ; Case { { Region Region[1]; Value 10; } { Region Region[2]; Value 0; } } } }

Include "Lib_EleKin_v.pro";
